Plank.DockElement.on_scrolled – plank Reference Manual

# on_scrolled

## Description:

protected virtual AnimationType on_scrolled (ScrollDirection direction, ModifierType mod, uint32 event_time)

Called when an item is scrolled over.

## Parameters:

direction | the scroll direction
mod | the modifiers
event_time | the timestamp of the event triggering this action

## Returns:

which type of animation to trigger